<?php
if ($post->file_format == 'excel') {
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=DATA_REALISASI.xls");
}
?>
<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        ?>
        <div style="position:absolute;top:30px;left:30px"><img src="<?= $ar_pemda->s_logo ?>" width="70"></div>
        <p style="text-align: center;font-family: sans-serif;">
            <span style="font-size: 12pt; font-weight: BOLD;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?>, <?= strtoupper($ar_pemda->s_namaprov); ?></span>
            <br>
            <span style="font-size: 12pt; font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?> (<?= strtoupper($ar_pemda->s_namasingkatinstansi); ?>)</span><br>
            <?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?>
        </p>
        <hr style="height: 2px; color: black; margin-top: 0px; margin-bottom: 0px">
        <hr style="height: 1px; color: black; margin-top: 2px; margin-bottom: 0px">
        <h4 style="text-align: center;font-family: sans-serif;">REALISASI PER TANGGAL PENERIMAAN</h4>
        <table width="100%" style="border-collapse: collapse;font-family: sans-serif;">
            <tr>
                <td colspan="1" style="vertical-align: top;width: 15%;">PERIODE TARGET</td>
                <td style="vertical-align: top;">: <?= $post->periodetargetreal ?></td>
            </tr>
            <tr>
                <td colspan="1" style="vertical-align: top;">TGL. REALISASI</td>
                <td style="vertical-align: top;">: <?= $post->tglreal1 ?> s/d <?= $post->tglreal2 ?></td>
            </tr>
        </table>
        <table width="100%" style="border-collapse: collapse;font-family: sans-serif;" cellpadding="3" cellspacing="3">
            <thead>
                <tr style="text-align: center;background: #ebe8eb;">
                    <td rowspan="2" style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold;">KODE REKENING</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">NAMA REKENING</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">ANGGARAN</td>
                    <td colspan="3" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">PENERIMAAN</td>
                    <td rowspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">PERSENTASE <br>(%)</td>
                    <td colspan="2" style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">SISA</td>
                </tr>
                <tr style="text-align: center;background: #ebe8eb;">
                    <td style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">
                        <?= date("01-01-Y", strtotime($post->tglreal1 . "-1day")) . "<br>s/d<br>" . date("d-m-Y", strtotime($post->tglreal1 . "-1day")) ?>
                    </td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">
                        <?= $post->tglreal1 . "<br>s/d<br>" . $post->tglreal2 ?>
                    </td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">
                        <?= date("01-01-Y", strtotime($post->tglreal1)) . "<br>s/d<br>" . date("31-12-Y", strtotime($post->tglreal2)) ?>
                        <!-- date("d-m-Y", strtotime($post->tglreal2 . "+1day")) -->
                    </td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">LEBIH/KURANG</td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:middle; text-align: center; font-weight: bold">PERSENTASE<br>(%)</td>
                </tr>
            </thead>
            <?php
            $counter = 0;
            foreach ($data as $v) {
                $bphtb_sebelum = '';
                $bphtb_sekarang = '';
                $bphtb_sesudah = '';
                if ($v['s_idkorek'] == 488) {
                    $bphtb_sebelum = $ar_bphtb['bphtb_sebelum'];
                    $bphtb_sekarang = $ar_bphtb['bphtb_sekarang'];
                    $bphtb_sesudah = $ar_bphtb['bphtb_sesudah'];
                } elseif ($v['s_idkorek'] == 489) {
                    $bphtb_sebelum = $ar_bphtbsub['bphtbsub0_sebelum'];
                    $bphtb_sekarang = $ar_bphtbsub['bphtbsub0_sekarang'];
                    $bphtb_sesudah = $ar_bphtbsub['bphtbsub0_sesudah'];
                } elseif ($v['s_idkorek'] == 490) {
                    $bphtb_sebelum = $ar_bphtbsub['bphtbsub1_sebelum'];
                    $bphtb_sekarang = $ar_bphtbsub['bphtbsub1_sekarang'];
                    $bphtb_sesudah = $ar_bphtbsub['bphtbsub1_sesudah'];
                }
                $pbb_sebelum = '';
                $pbb_sekarang = '';
                $pbb_sesudah = '';
                if ($v['s_idkorek'] == 485) {
                    $pbb_sebelum = $ar_pbbbulanlalu['PBB_SEBELUM'];
                    $pbb_sekarang = $ar_pbbbulanini['PBB_SEKARANG'];
                    $pbb_sesudah = $ar_pbbsdbulanini['PBB_SESUDAH'];
                }elseif($v['s_idkorek'] == 273){
					$pbb_sebelum = $ar_pbbbulanlalu['PBBDENDA_SEBELUM'];
					$pbb_sekarang = $ar_pbbbulanini['PBBDENDA_SEKARANG'];
					$pbb_sesudah = $ar_pbbsdbulanini['PBBDENDA_SESUDAH'];
				}

                $sebelum = $v['pokok_sebelum'] + $v['skpdkb_sebelum'] + $v['skpdkbt_sebelum'] + $v['skpdt_sebelum'] + $bphtb_sebelum + $pbb_sebelum;
                $sekarang = $v['pokok_sekarang'] + $v['skpdkb_sekarang'] + $v['skpdkbt_sekarang'] + $v['skpdt_sekarang'] + $bphtb_sekarang + $pbb_sekarang;
                $sesudah = $v['pokok_sesudah'] + $v['skpdkb_sesudah'] + $v['skpdkbt_sesudah'] + $v['skpdt_sesudah'] + $bphtb_sesudah + $pbb_sesudah;

                if($v['s_idkorek'] == 275){
					$sebelum = $sebelum + $ar_bphtb['bphtb_sebelum'] + $ar_pbbbulanlalu['PBB_SEBELUM'];
					$sekarang = $sekarang + $ar_bphtb['bphtb_sekarang'] + $ar_pbbbulanini['PBB_SEKARANG'];
					$sesudah = $sesudah + $ar_bphtb['bphtb_sesudah'] + $ar_pbbsdbulanini['PBB_SESUDAH'];
				}elseif($v['s_idkorek'] == 263){
					$sebelum = $sebelum + $ar_pbbbulanlalu['PBBDENDA_SEBELUM'];
					$sekarang = $sekarang + $ar_pbbbulanini['PBBDENDA_SEKARANG'];
					$sesudah = $sesudah + $ar_pbbsdbulanini['PBBDENDA_SESUDAH'];
				}
				
                if ($v['target'] != 0) {
                    $persenreal = $sesudah / $v['target'] * 100;
                    $selisih = $sesudah - $v['target'];
                } else {
                    $persenreal = 0;
                    $selisih = 0;
                }

                if ($v['target'] != 0) {
                    $persenkurang = $selisih / $v['target'] * 100;
                } else {
                    $persenkurang = 0;
                }
                $b1 = '';
                $b2 = '';
				if($post->tiperekreal == 'rinci'){
					if ($v['s_rinciankorek'] == '' || $v['s_rinciankorek'] == '00' || $v['s_rinciankorek'] == '0') {
						$b1 = '<b>';
						$b2 = '</b>';
					}
				}
                ?>
                <tr>
                    <td style='text-align: left; border-left: 1px solid #000; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= $b1.str_ireplace('.00','',$v['korek']).$b2 ?></td>
                    <td style='text-align: left; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= $b1.$v['s_namakorek'].$b2 ?></td>
                    <td style='text-align: right; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= ($post->file_format == 'pdf') ? $b1.number_format($v['target'], 0, ',', '.').$b2 : $b1.number_format($v['target']).$b2 ?></td>
                    <td style='text-align: right; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= ($post->file_format == 'pdf') ? $b1.number_format($sebelum, 0, ',', '.').$b2 : $b1.number_format($sebelum).$b2 ?></td>
                    <td style='text-align: right; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= ($post->file_format == 'pdf') ? $b1.number_format($sekarang, 0, ',', '.').$b2 : $b1.number_format($sekarang).$b2 ?></a></td>
                    <td style='text-align: right; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= ($post->file_format == 'pdf') ? $b1.number_format($sesudah, 0, ',', '.').$b2 : $b1.number_format($sesudah).$b2 ?></td>
                    <td style='text-align: right; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= ($post->file_format == 'pdf') ? $b1.number_format($persenreal, 2, ',', '.').$b2 : $b1.number_format($persenreal, 2, ',', ',').$b2 ?></td>
                    <td style='text-align: right; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= ($post->file_format == 'pdf') ? $b1.number_format($selisih, 0, ',', '.').$b2 : $b1.number_format($selisih).$b2 ?></td>
                    <td style='text-align: right; border-bottom: 1px solid #000;border-right: 1px solid #000; vertical-align:top;'><?= ($post->file_format == 'pdf') ? $b1.number_format($persenkurang, 2, ',', '.').$b2 : $b1.number_format($persenkurang, 2, ',', ',').$b2 ?></td>
                </tr>
                <?php
                $counter++;
            }
            ?>
        </table>
        <?php if ($post->file_format == 'pdf') { ?>
        <htmlpagefooter name="MyCustomFooter">
            <table style="vertical-align: bottom; font-family: serif;" width="100%">
                <tbody>
                    <tr>
                            <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                        <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                        <td style="font-style: italic;text-align: right;font-size: 12px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                    </tr>
                </tbody>
            </table>
        </htmlpagefooter>
    <?php } ?>
</body>
</html>
<style type="text/css" media="print">
    @page {
        margin: 30px 40px 50px 30px;
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }
</style>
